weka.core.pmml.jaxbbindings

## Enum REGRESSIONNORMALIZATIONMETHOD

- java.lang.Object
- - java.lang.Enum<REGRESSIONNORMALIZATIONMETHOD>
  - - weka.core.pmml.jaxbbindings.REGRESSIONNORMALIZATIONMETHOD

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<REGRESSIONNORMALIZATIONMETHOD>

      public enum REGRESSIONNORMALIZATIONMETHOD
      extends java.lang.Enum<REGRESSIONNORMALIZATIONMETHOD>

  Java class for REGRESSIONNORMALIZATIONMETHOD.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="REGRESSIONNORMALIZATIONMETHOD">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="none"/>
           <enumeration value="simplemax"/>
           <enumeration value="softmax"/>
           <enumeration value="logit"/>
           <enumeration value="probit"/>
           <enumeration value="cloglog"/>
           <enumeration value="exp"/>
           <enumeration value="loglog"/>
           <enumeration value="cauchit"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAUCHIT`
    `CLOGLOG`
    `EXP`
    `LOGIT`
    `LOGLOG`
    `NONE`
    `PROBIT`
    `SIMPLEMAX`
    `SOFTMAX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static REGRESSIONNORMALIZATIONMETHOD` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static REGRESSIONNORMALIZATIONMETHOD` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static REGRESSIONNORMALIZATIONMETHOD[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CAUCHIT

          public static final REGRESSIONNORMALIZATIONMETHOD CAUCHIT

    - #### CLOGLOG

          public static final REGRESSIONNORMALIZATIONMETHOD CLOGLOG

    - #### EXP

          public static final REGRESSIONNORMALIZATIONMETHOD EXP

    - #### LOGIT

          public static final REGRESSIONNORMALIZATIONMETHOD LOGIT

    - #### LOGLOG

          public static final REGRESSIONNORMALIZATIONMETHOD LOGLOG

    - #### NONE

          public static final REGRESSIONNORMALIZATIONMETHOD NONE

    - #### PROBIT

          public static final REGRESSIONNORMALIZATIONMETHOD PROBIT

    - #### SIMPLEMAX

          public static final REGRESSIONNORMALIZATIONMETHOD SIMPLEMAX

    - #### SOFTMAX

          public static final REGRESSIONNORMALIZATIONMETHOD SOFTMAX

  - ### Method Detail

    - #### values

          public static REGRESSIONNORMALIZATIONMETHOD[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (REGRESSIONNORMALIZATIONMETHOD c : REGRESSIONNORMALIZATIONMETHOD.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static REGRESSIONNORMALIZATIONMETHOD valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static REGRESSIONNORMALIZATIONMETHOD fromValue(java.lang.String v)